<?php

/*

    GTPhoto2 - A multi user photo album
    Copyright (C) 2004-2006 Chris Kloosterman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

##################
# Initialization #
##################

# stuff to do when the page starts
# - start the page generation time counter
# - initialize the sql query counter
load("page_start.php");

# global variables
load("vars.php");
load("version.php");

# functions that every page will use
load("error_functions.php");
load("clean_functions.php");
load("date_functions.php");
load("paginate_functions.php");
load("ajax_functions.php");
load("data_functions.php");
load("email_functions.php");
load("javascript_functions.php");
load("log_functions.php");

# sql wrappers for database functions (so that we can change db servers)
load("sql_wrappers.php");

# session initialization stuff
load("session.php");

# classes for the complex objects
load("class_loader.php");

# start the database connection
load("database.php");

?>
