<?php

/*

    GTPhoto2 - A multi user photo album
    Copyright (C) 2004-2006 Chris Kloosterman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

# this auth module does logins from the uvic ldap server

function do_login() {
	$ds=@ldap_connect(LDAP_SERVER) or die ("There was an error connecting to the LDAP server");
	# bind as helpdesk admin
	$result = @ldap_bind($ds, LDAP_UID, LDAP_PASSWORD);
	$uid_filter="uid=".$_REQUEST["user_name"];
	$s_result = @ldap_search($ds, LDAP_SEARCH_BASE, $uid_filter);
	$auth = false;
	if ($s_result) {
		$info = @ldap_get_entries($ds, $s_result);
		if (is_array($info[0])) {
			if (@ldap_bind($ds, $info[0]['dn'], $_REQUEST["password"])) {
				$auth = true;
			}
		}
	}

	if ($auth) {
		# we're logged in
		$_SESSION["auth_level"] = AUTH_PUBLIC;
		$_SESSION["user_name"] = $_REQUEST["user_name"];
	} else {
		global $errors;
		$errors[] = "Incorrect Username or Password";
	}
}
?>
