<?php

/*

    GTPhoto2 - A multi user photo album
    Copyright (C) 2004-2006 Chris Kloosterman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

global $sidebar_items;

if (is_array($_SESSION["types"])) {
	
	if (array_search(AUTH_USER, $_SESSION["types"]) !== false) {
		$sidebar_items["Todo List"]["View current items"] = "index.php?next_page=todo/list.php";
		$sidebar_items["Todo List"]["Add item"] = "index.php?next_page=todo/add.php";
	}

	if (array_search(AUTH_ADMIN, $_SESSION["types"]) !== false) {
		$sidebar_items["Administration"]["Query log"] = "index.php?next_page=log/view.php";
		$sidebar_items["Administration"]["Interesting page log"] = "index.php?next_page=log/view.php&submit=Search&do_component=true&component=Page%20Log";
		$sidebar_items["Administration"]["Page log exclusions"] = "index.php?next_page=log/exclusions.php";
	}

	if (array_search(AUTH_USER,$_SESSION["types"]) !== false) {
		$sidebar_items["Manage Account"]["Update Info"] = "index.php?next_page=account/info.php";
		$sidebar_items["Manage Account"]["Change Password"] = "index.php?next_page=account/password.php";
		$sidebar_items["Manage Account"]["Payments"] = "index.php?next_page=account/payments.php";

		$sidebar_items["Shopping Cart"] = "index.php?next_page=cart.php";
	}

}

$sidebar_items["Documentation"] = "index.php?next_page=docs/index.php";

?>
