<?php

/*

    GTPhoto2 - A multi user photo album
    Copyright (C) 2004-2006 Chris Kloosterman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

# this script stores all of the global variables for the site

# database constants
define('READ_DATABASE_SERVER', "(your_db_server)");
define('READ_DATABASE_USER', "(your_db_user)");
define('READ_DATABASE_PASSWORD', "(your_db_password)");

define('WRITE_DATABASE_SERVER', "(your_db_server)");
define('WRITE_DATABASE_USER', "(your_db_user)");
define('WRITE_DATABASE_PASSWORD', "(your_db_password)");

define('DEFAULT_DATABASE', "(your_db)");

# change to mysqli if you're using PHP5 with MySQL 4.1
define('DATABASE_TYPE', "mysql");

# ldap specific parameters
#define('LDAP_SERVER', "(ldap server)");
#define('LDAP_UID', "(ldap bind uid)");
#define('LDAP_PASSWORD', "(ldap bind password)");
#define('LDAP_SEARCH_BASE', "(ldap search base)");

# are we debugging?
define('DEBUG', 0);

# site modifiers
define('IS_PRODUCTION', false);
define('DO_CACHING', true);
define('READ_ONLY_MODE', false);

# puke stuff
define('PUKE_EMAIL', "(your_email_address)");
define('PUKE_FROM', "(your_email_address)");
define('EMAIL_AUTO_FROM', "(your_email_address)");

# authentication levels
define('AUTH_ADMIN', 99);
define('AUTH_USER', 1);

global $standard_types;
$standard_types = array(AUTH_USER);

define('FRAMEWORK_LOG_ERROR', 10);
define('FRAMEWORK_LOG_WARN', 20);
define('FRAMEWORK_LOG_NOTICE', 30);
define('FRAMEWORK_LOG_INFO', 40);
define('FRAMEWORK_LOG_DEBUG', 50);

define('FRAMEWORK_LOG_LEVEL', FRAMEWORK_LOG_INFO);

# the modules to use
# Login Module - which method to use to login
# possibilities:
# - db.php: via database
# - ldap.php: via ldap
define('MODULE_LOGIN', "db.php");

define('PAYPAL_ACCOUNT', "(your_paypal_account)");

# the error handling arrays
global $errors;
global $warnings;
global $successes;
$errors = array();
$warnings = array();
$successes = array();

# here are paths to dynamically import classes from
global $class_dirs;
$class_dirs = array("./framework/classes");

# here are paths to dynamically import rpc functionality from
global $rpc_dirs;
$rpc_dirs = array("./framework/rpc");

# should we allow signups
define('ALLOW_SIGNUP', 1);

# should we disable AJAX sidebar?
define('NO_AJAX_SIDEBAR', 0);

?>
