<?php

/*

    GTPhoto2 - A multi user photo album
    Copyright (C) 2004-2006 Chris Kloosterman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

ob_start();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<title>Gavintech Framework</title>
<link rel="stylesheet" type="text/css" href="media/css/style.css" />
<link rel="stylesheet" type="text/css" href="media/css/style-print.css" media="print" />
<script type="text/javascript" language="JavaScript">
	function user_focus() {
		if (typeof(document.login) != "undefined") {
			document.login.user_name.focus();
		}
	}

	/* ajax part */

	function createRequestObject() {
		var ro;
		var browser = navigator.appName;
		if(browser == "Microsoft Internet Explorer"){
			ro = new ActiveXObject("Microsoft.XMLHTTP");
		} else {
			ro = new XMLHttpRequest();
		}
		return ro;
	}

	var http = createRequestObject();

	function ajax_menu(menu_action,id) {
		http.open('get', 'rpc.php?action=menu&'+menu_action+'='+id);
		http.onreadystatechange = handleResponse;
		http.send(null);
	}

	function ajax_edit(id) {
		http.open('get', 'rpc.php?action=ajax_edit&id='+id);
		http.onreadystatechange = handleResponse;
		http.send(null);
	}

	function handleResponse() {
		if(http.readyState == 4){
			var response = http.responseText;
			var update = new Array();

			if (response.indexOf('|' != -1)) {
				update = response.split('|');
				document.getElementById(update[0]).innerHTML = update[1];
			}
		}
	}

</script>
</head>
<body onLoad="user_focus()" id="framework">
<table width="100%" cellpadding="0" cellspacing="0">
<tr>
<td>

<table width="100%" cellspacing="0" cellpadding="0">
<tr>
<td valign="top" class="sidebar">

<p align="center"><a href="index.php"><img src="media/images/logo.jpg" border="0" /></a>
<br />
<b><a href="index.php">Framework</a></b></p>

<div id="sidebar">
